﻿.mud-snackbar.mud-alert-filled-warning {
    color: var(--mud-palette-text-primary) !important;
}

/* Limit muddrawer width*/
.mud-drawer.mud-drawer-temporary.mud-drawer-pos-bottom {
    border-top-left-radius: var(--connect-border-radius);
    border-top-right-radius: var(--connect-border-radius);
    max-width: var(--connect-max-width);
    left: 50% !important;
    transform: translateX(-50%);
}

.mud-dialog-container {
    max-width: var(--connect-max-width);
}
.mud-dialog-container.mud-dialog-bottomcenter, .mud-dialog-container.mud-dialog-center {
    position: fixed; /* Fix the position */
    top: 0; /* Optional: Adjust the top value as needed */
    left: 50%; /* Start positioning at the center */
    transform: translateX(-50%); /* Move it back by half its width */
    max-width: var(--connect-max-width); /* Limit the width */
    width: 100%; /* Ensure it scales within the screen */
    padding-bottom: 0px !important;
}

.mud-button-filled.mud-button-filled-info:hover, .mud-button-filled.mud-button-filled-info:focus-visible
{
    filter: brightness(90%);
    background: var(--mud-palette-info) !important;
}

.mud-button-filled.mud-button-filled-primary {
    color: var(--mud-palette-background);
}

.mud-input {
    background: var(--mud-palette-drawer-background);
    border-radius: 14px;
}

    .mud-input > input.mud-input-root, div.mud-input-slot.mud-input-root {
        padding: 10px 16px;
    }

.mud-input-label-outlined {
    transform: translate(14px,12px) scale(1);
    background: var(--mud-palette-drawer-background);
    font-size: 16px !important;
    font-weight: 400 !important;
}

/*Modify mudchip look*/
.mud-chip-outlined.connect-mod {
    background-color: var(--mud-palette-drawer-background);
    color: var(--mud-palette-text-secondary);
    border-style: solid;
    border-width: 1px;
    border-radius: 999px;
    font-weight: 700 !important;
    font-size: 12px !important;
    min-width: fit-content;
}

.mud-chip-outlined.mud-chip-selected.connect-mod {
    background-color: var(--mud-palette-text-secondary);
    color: var(--mud-palette-background);
    font-weight: 700 !important;
    font-size: 12px !important;
    min-width: fit-content;
}

    .mud-chip-outlined.mud-chip-selected.connect-mod:hover {
        background-color: var(--mud-palette-text-secondary) !important;
    }

.mud-chip-outlined.connect-mod:hover {
    background-color: var(--mud-palette-drawer-background) !important;
}

    .mud-chip-outlined.connect-mod:hover:not(.mud-disabled), .mud-chip-filled:focus-visible:not(.mud-disabled) {
        background-color: var(--mud-palette-drawer-background);
    }

/*Modify mudButton look*/
.mud-button-filled:disabled {
    color: var(--mud-palette-background) !important;
    box-shadow: none;
    background-color: var(--mud-palette-action-default) !important;
}

.mud-button-outlined {
    color: var(--mud-palette-text-secondary);
    border: 1px solid var(--mud-palette-text-secondary);
}

.mud-ripple:after {
    background-image: radial-gradient(circle, var(--connect-colors-ripple-background) 10%,transparent 10.01%) !important;
}
.mud-overlay .mud-overlay-scrim.mud-overlay-dark {
    background-color:rgba(0,0,0,0.75) !important;
}

.mud-snackbar {
    border-radius: var(--connect-border-radius);
}

    .mud-snackbar.mud-snackbar-surface {
        background: var(--tc-snackbar-surface-background) !important;
    }

    .mud-snackbar.mud-alert-outlined-success {
        color: var(--connect-colors-high-emphasis);
        --tc-snackbar-surface-background: var(--connect-colors-green-snackbar);
        border-color: var(--connect-colors-green);
    }

    .mud-snackbar.mud-alert-outlined-normal {
        color: var(--connect-colors-high-emphasis);
        --tc-snackbar-surface-background: var(--connect-colors-mb-dark);
        border-color: var(--connect-colors-border);
    }

    .mud-snackbar.mud-alert-outlined-info {
        color: var(--connect-colors-high-emphasis);
        --tc-snackbar-surface-background: var(--connect-colors-primary-snackbar);
        border-color: var(--connect-colors-primary);
    }

    .mud-snackbar.mud-alert-outlined-warning {
        color: var(--connect-colors-high-emphasis);
        --tc-snackbar-surface-background: var(--connect-colors-amber-snackbar);
        border-color: var(--connect-colors-amber);
    }

    .mud-snackbar.mud-alert-outlined-error {
        color: var(--connect-colors-high-emphasis);
        --tc-snackbar-surface-background: var(--connect-colors-alert-snackbar);
        border-color: var(--connect-colors-alert);
    }


.high-contrast .mud-snackbar {
    color: var(--connect-colors-high-emphasis) !important;
    border-color: var(--connect-colors-border) !important;
}

    .high-contrast .mud-snackbar.mud-snackbar-surface {
        background: var(--connect-colors-accent) !important;
    }

    .high-contrast .mud-snackbar.mud-alert-outlined-success > .mud-snackbar-icon {
        color: var(--connect-colors-green) !important;
    }

    .high-contrast .mud-snackbar.mud-alert-outlined-warning > .mud-snackbar-icon {
        color: var(--connect-colors-amber) !important;
    }

    .high-contrast .mud-snackbar.mud-alert-outlined-error > .mud-snackbar-icon {
        color: var(--connect-colors-alert) !important;
    }

.mud-table {
    background: transparent !important;
}

.mud-table-empty-row {
    background: transparent !important;
}
.mud-table .mud-table-pagination .mud-table-pagination-toolbar{
    min-height: 66px !important;
}
